BEGIN {
	# are we inside the marker?
	marker = 0
	# the link string to be printed into the html
	linkstr = ""
	# should we wait for some string before printing the link?
	waiting = 0
}

# this link id is used for links created by this script, in order to
# not reprint the link during re-run of the script (it would multiply the link)
!/<a .* id='MapLink2734236'/ {
	print
	if (waiting > 0 && index($0,waitstr) > 0) {
		# we were waiting for this - now print it
		print linkstr
		waiting = 0
		linkstr=""
	}
}

/<!--[ \t]+((MAP_MARKER)|(map_marker))/ {
	if (marker == 0) {
		marker = 1;
	}
	# the tag does not have to begin the line -> lshift the line and split to A
	n = split(substr($0, match($0,/<!--[ \t]+((MAP_MARKER)|(map_marker))/)), A)
	
	# prepare the link string
	linkstr = sprintf("%s<a alt='map' id='MapLink2734236' href=\"%s%s%s/map1.html#%s_mark_image\">",
		linkstr,BACKPATH,MAPDIR,A[3],A[6])
	linkstr = sprintf("%s<img src='%s%s%s/mapicon.png' border=0></a>\n",
		linkstr,BACKPATH,MAPDIR,A[3])
	
	if (n > 6 && A[7] ~ /[Ww][Aa][Ii][Tt].*/) {
		# we will be waiting for waitstr with printing
		waiting=1
		waitstr=A[7]
	} else {
		# print immediately
		printf("\n%s",linkstr)
		linkstr="";
		marker = 0;
	}
}

